# crypt(3trf) 2.1.3 "Trf transformer commands"

## Name

crypt - Password hashing based on "crypt"

## Table Of Contents

## Synopsis

- package require Tcl ?8.2?
- package require Trf ?2.1.3?

- crypt password salt

## Description

The command crypt is an interface to the crypt(3) function for the encryption of passwords. An alternative command for the same, but based on md5 is md5crypt.

crypt password salt

  Encrypts the password using the specified salt and returns the generated hash value as the result of the command.

## See Also

md5crypt, trf-intro

## Keywords

authentication, crypt, hash, hashing, mac, md5, message digest, password

## Copyright

Copyright © 1996-2003, Andreas Kupries <andreas_kupries@users.sourceforge.net>